OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_Array1OfFillStyleSelect Class Reference

`#include <StepVisual_Array1OfFillStyleSelect.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_Array1OfFillStyleSelect (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepVisual_Array1OfFillStyleSelect (const StepVisual_FillStyleSelect &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepVisual_FillStyleSelect &V)
Standard_EXPORT void | Destroy ()
| ~StepVisual_Array1OfFillStyleSelect ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepVisual_Array1OfFillStyleSelect & | Assign (const StepVisual_Array1OfFillStyleSelect &Other)
const StepVisual_Array1OfFillStyleSelect & | operator= (const StepVisual_Array1OfFillStyleSelect &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_FillStyleSelect &Value)
const StepVisual_FillStyleSelect & | Value (const Standard_Integer Index) const
const StepVisual_FillStyleSelect & | operator() (const Standard_Integer Index) const
StepVisual_FillStyleSelect & | ChangeValue (const Standard_Integer Index)
StepVisual_FillStyleSelect & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepVisual_Array1OfFillStyleSelect (const StepVisual_Array1OfFillStyleSelect &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_Array1OfFillStyleSelect::StepVisual_Array1OfFillStyleSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepVisual_Array1OfFillStyleSelect::StepVisual_Array1OfFillStyleSelect | ( | const StepVisual_FillStyleSelect & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepVisual_Array1OfFillStyleSelect::~StepVisual_Array1OfFillStyleSelect | ( |  | ) | `[inline]`

Standard_EXPORT StepVisual_Array1OfFillStyleSelect::StepVisual_Array1OfFillStyleSelect | ( | const StepVisual_Array1OfFillStyleSelect & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepVisual_Array1OfFillStyleSelect& StepVisual_Array1OfFillStyleSelect::Assign | ( | const StepVisual_Array1OfFillStyleSelect & | Other | ) |

StepVisual_FillStyleSelect& StepVisual_Array1OfFillStyleSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepVisual_Array1OfFillStyleSelect::Destroy | ( |  | ) |

Standard_EXPORT void StepVisual_Array1OfFillStyleSelect::Init | ( | const StepVisual_FillStyleSelect & | V | ) |

Standard_Boolean StepVisual_Array1OfFillStyleSelect::IsAllocated | ( |  | ) | const

Standard_Integer StepVisual_Array1OfFillStyleSelect::Length | ( |  | ) | const

Standard_Integer StepVisual_Array1OfFillStyleSelect::Lower | ( |  | ) | const

void StepVisual_Array1OfFillStyleSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepVisual_Array1OfFillStyleSelect::operator new | ( | size_t | size | ) | `[inline]`

void* StepVisual_Array1OfFillStyleSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepVisual_FillStyleSelect& StepVisual_Array1OfFillStyleSelect::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepVisual_FillStyleSelect& StepVisual_Array1OfFillStyleSelect::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepVisual_Array1OfFillStyleSelect& StepVisual_Array1OfFillStyleSelect::operator= | ( | const StepVisual_Array1OfFillStyleSelect & | Other | ) | `[inline]`

void StepVisual_Array1OfFillStyleSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_FillStyleSelect & | Value
| ) |

Standard_Integer StepVisual_Array1OfFillStyleSelect::Upper | ( |  | ) | const

const StepVisual_FillStyleSelect& StepVisual_Array1OfFillStyleSelect::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepVisual_Array1OfFillStyleSelect::isAllocated`[private]`

Standard_Integer StepVisual_Array1OfFillStyleSelect::myLowerBound`[private]`

Standard_Address StepVisual_Array1OfFillStyleSelect::myStart`[private]`

Standard_Integer StepVisual_Array1OfFillStyleSelect::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepVisual_Array1OfFillStyleSelect.hxx